IP_BLOCK_SOURCE(2const)

NAME
IP_BLOCK_SOURCE - stop receiving multicast data from a specific source in a given group

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <netinet/in.h>  /* Definition of IP* constants */
#include <sys/socket.h>

int setsockopt(int sockfd, IPPROTO_IP, IP_BLOCK_SOURCE,
               const struct ip_mreq_source *val,
               sizeof(struct ip_mreq_source));

DESCRIPTION
Stop receiving multicast data from a specific source in a given group.

This is valid only after the application has subscribed to the multicast group using either IP_ADD_MEMBERSHIP(2const) or IP_ADD_SOURCE_MEMBERSHIP(2const).

ERRORS
See IPPROTO_IP(2const). See setsockopt(2). See ip(7).

HISTORY
Linux 2.4.22, Linux 2.5.68.

SEE ALSO
IPPROTO_IP(2const), ip_mreq_source(2type), setsockopt(2), ip(7)